Delete Chat Thread - Delete Chat Thread
Odstraní vlákno.
DELETE {endpoint}/chat/threads/{chatThreadId}?api-version=2020-09-21-preview2
Parametry identifikátoru URI
| Name | V | Vyžadováno | Typ | Description |
|---|---|---|---|---|
|
chat
|
path | True |
string |
ID vlákna, které chcete odstranit. |
|
endpoint
|
path | True |
string |
Koncový bod prostředku komunikace Azure. |
|
api-version
|
query | True |
string |
Verze rozhraní API k vyvolání |
Hlavička požadavku
| Name | Vyžadováno | Typ | Description |
|---|---|---|---|
| Authorization | True |
string |
Přístupový token uživatele ACS (Azure Communication Services). |
Odpovědi
| Name | Typ | Description |
|---|---|---|
| 204 No Content |
Žádost byla úspěšná. |
|
| 401 Unauthorized |
Neautorizovaný |
|
| 403 Forbidden |
Zakázaný |
|
| 429 Too Many Requests |
Příliš mnoho požadavků |
|
| Other Status Codes |
Služba není k dispozici |
Zabezpečení
Authorization
Přístupový token uživatele ACS (Azure Communication Services).
Typ:
apiKey
V:
header
Příklady
Delete chat thread
Ukázkový požadavek
DELETE https://contoso.westus.communications.azure.com/chat/threads/19:9525281ac1f947fc884bcee1a9f983c2@thread.v2?api-version=2020-09-21-preview2
Ukázková odpověď
{
"code": "Unauthorized",
"message": "Request is not authorized."
}
{
"code": "Forbidden",
"message": "User is not allowed to perform specified action."
}
{
"code": "TooManyRequests",
"message": "Rate limit exceeded."
}
{
"code": "ServiceUnavailable",
"message": "The server is currently unable to handle the request."
}
Definice
Error
| Name | Typ | Description |
|---|---|---|
| code |
string |
|
| innerErrors |
Error[] |
|
| message |
string |
|
| target |
string |